---
search:
  tags:
    - external-events
    - GET
seo:
  description: >-
    Get external event mapping. Reference for the GET
    /workspaces/{organizationId}/external-event-mappings/{id} endpoint in the
    Pile API.
sidebar:
  label: Get external event mapping
  badge: GET
title: Get external event mapping
type: openapi-operation
---
`GET /workspaces/{organizationId}/external-event-mappings/{id}`

**Responses**

- `200` — External event mapping
- `404` — External event mapping not found

Response example, 200:

```json
{
  "mapping": {
    "id": "string",
    "organizationId": "string",
    "source": "string",
    "eventType": "string",
    "entityType": "issue",
    "matchPath": "string",
    "stepKey": "string",
    "enabled": true,
    "createdBy": "string",
    "createdAt": "string",
    "updatedAt": "string"
  }
}
```
